package wsc

import (
	"git.rosy.net.cn/baseapi/platformapi/weimobapi"
	"git.rosy.net.cn/baseapi/utils"
	"git.rosy.net.cn/jx-callback/business/jxutils"
	"git.rosy.net.cn/jx-callback/business/model"
)

func OnCallbackMsg(msg *weimobapi.CallbackMsg) (response *weimobapi.CallbackResponse) {
	if curPurchaseHandler != nil {
		orderID := utils.Int64ToStr(msg.OrderNo)
		jxutils.CallMsgHandler(func() {
			response = curPurchaseHandler.onOrderMsg(msg)
		}, jxutils.ComposeUniversalOrderID(orderID, model.VendorIDWSC))
	}
	return response
}
